ParticipantHandler(3)

NAME
ParticipantHandler - Participant objects modification methods.

SYNOPSIS

#include <iqueue.h>

Inherited by MembershipBookkeeping.

  Public Member Functions

void setSDESItem (Participant *part, SDESItemType item, const std::string &val)
void setPRIVPrefix (Participant *part, const std::string val)

  Protected Member Functions

ParticipantHandler ()
virtual ~ParticipantHandler ()

Detailed Description

Participant objects modification methods.

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  ParticipantHandler::ParticipantHandler () [inline], [protected]

  virtual ParticipantHandler::~ParticipantHandler () [inline], [protected], [virtual]

Member Function Documentation

  void ParticipantHandler::setPRIVPrefix (Participant * part, const std::string val) [inline]

  void ParticipantHandler::setSDESItem (Participant * part, SDESItemType item, const std::string & val) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.